Index: src/cpu/amd/Kconfig
===================================================================
--- src/cpu/amd/Kconfig	(Revision 4730)
+++ src/cpu/amd/Kconfig	(Arbeitskopie)
@@ -2,7 +2,7 @@
 	bool
 	default n
 
-#source src/cpu/amd/socket_754/Kconfig
+source src/cpu/amd/socket_754/Kconfig
 #source src/cpu/amd/socket_939/Kconfig
 source src/cpu/amd/socket_940/Kconfig
 source src/cpu/amd/socket_AM2/Kconfig
Index: src/cpu/amd/Makefile.inc
===================================================================
--- src/cpu/amd/Makefile.inc	(Revision 4730)
+++ src/cpu/amd/Makefile.inc	(Arbeitskopie)
@@ -1,4 +1,5 @@
 subdirs-$(CONFIG_CPU_AMD_SOCKET_F) += socket_F
+subdirs-$(CONFIG_CPU_AMD_SOCKET_754) += socket_754
 subdirs-$(CONFIG_CPU_AMD_SOCKET_940) += socket_940
 subdirs-$(CONFIG_CPU_AMD_SOCKET_AM2) += socket_AM2
 subdirs-$(CONFIG_CPU_AMD_GX1) += model_gx1
Index: src/cpu/amd/socket_754/Kconfig
===================================================================
--- src/cpu/amd/socket_754/Kconfig	(Revision 0)
+++ src/cpu/amd/socket_754/Kconfig	(Revision 0)
@@ -0,0 +1,9 @@
+config CPU_AMD_SOCKET_754
+	bool
+	default n
+	select CPU_AMD_MODEL_FXX
+
+config CPU_SOCKET_TYPE
+	hex
+	default 0x10
+	depends on CPU_AMD_SOCKET_754
Index: src/cpu/amd/socket_754/Makefile.inc
===================================================================
--- src/cpu/amd/socket_754/Makefile.inc	(Revision 0)
+++ src/cpu/amd/socket_754/Makefile.inc	(Revision 0)
@@ -0,0 +1,14 @@
+obj-y += socket_754.o
+subdirs-y += ../model_fxx
+subdirs-y += ../dualcore
+subdirs-y += ../mtrr
+subdirs-y += ../microcode
+subdirs-y += ../../x86/tsc
+subdirs-y += ../../x86/mtrr
+subdirs-y += ../../x86/fpu
+subdirs-y += ../../x86/mmx
+subdirs-y += ../../x86/sse
+subdirs-y += ../../x86/lapic
+subdirs-y += ../../x86/cache
+subdirs-y += ../../x86/mtrr
+subdirs-y += ../../x86/pae
